Altibase.jdbc.driver.sharding.executor

## Interface ExecutorEngine

All Known Implementing Classes:
  MultiThreadExecutorEngine

    public interface ExecutorEngine

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `closeStatements(java.util.Collection<java.sql.Statement> aStatements)`
`void` `doTransaction(java.util.Collection<java.sql.Connection> aConnections, ConnectionParallelProcessCallback aParallelProcessCallback)`
`<T> java.util.List<T>` `executeStatement(java.util.List<java.sql.Statement> aStatements, ExecuteCallback<T> aExecuteCallback)`
`<T> java.util.List<T>` `generateStatement(java.util.List<DataNode> aNodes, GenerateCallback<T> aGenerateStmtCallback)`

### Method Detail

#### executeStatement

    <T> java.util.List<T> executeStatement(java.util.List<java.sql.Statement> aStatements,
                                           ExecuteCallback<T> aExecuteCallback)
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### generateStatement

    <T> java.util.List<T> generateStatement(java.util.List<DataNode> aNodes,
                                            GenerateCallback<T> aGenerateStmtCallback)
                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### doTransaction

    void doTransaction(java.util.Collection<java.sql.Connection> aConnections,
                       ConnectionParallelProcessCallback aParallelProcessCallback)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### closeStatements

    void closeStatements(java.util.Collection<java.sql.Statement> aStatements)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`